NetBSD Problem Report #52855

From www@NetBSD.org  Sat Dec 23 16:17:21 2017
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.NetBSD.org", Issuer "mail.NetBSD.org CA" (not verified))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 2D7547A178
	for <gnats-bugs@gnats.NetBSD.org>; Sat, 23 Dec 2017 16:17:21 +0000 (UTC)
Message-Id: <20171223161716.D183B7A1EC@mollari.NetBSD.org>
Date: Sat, 23 Dec 2017 16:17:16 +0000 (UTC)
From: jdbaker@mylinuxisp.com
Reply-To: jdbaker@mylinuxisp.com
To: gnats-bugs@NetBSD.org
Subject: graphics/graphviz fails packaging
X-Send-Pr-Version: www-1.0

>Number:         52855
>Category:       pkg
>Synopsis:       graphics/graphviz fails packaging
>Confidential:   no
>Severity:       serious
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sat Dec 23 16:20:00 +0000 2017
>Closed-Date:    
>Last-Modified:  Tue Feb 20 09:55:00 +0000 2018
>Originator:     John D. Baker
>Release:        NetBSD/amd64-8.0_BETA, pkgsrc-HEAD (pre-pkgsrc-2017Q4)
>Organization:
>Environment:
NetBSD brenowin.reltuk.net 8.0_BETA NetBSD 8.0_BETA (KEPLER) #15: Fri Dec 22 15:38:11 CST 2017  sysop@brenowin.reltuk.net:/d0/build/netbsd-8/obj/amd64/sys/arch/amd64/compile/KEPLER amd64

>Description:
graphics/graphviz fails the packaging phase, reporting:

[...]
=> Generating post-install file lists
pkg_create: can't stat `/d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/bin/diffimg'
pkg_create: can't stat `/d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/lib/graphviz/libgvplugin_gd.la'
pkg_create: can't stat `/d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/lib/graphviz/tcl/libgdtclft.la'
pkg_create: can't stat `/d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/lib/tcl8.6/graphviz/libgdtclft.la'
pkg_create: can't stat `/d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/man/man3/gdtclft.3tcl'
pkg_create: can't stat `/d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/share/graphviz/doc/pdf/gdtclft.3tcl.pdf'
=> Checking file-check results for graphviz-2.40.1nb9
ERROR: ************************************************************
ERROR: The following files are in the PLIST but not in /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg:
ERROR:         /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/bin/diffimg
ERROR:         /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/lib/graphviz/libgvplugin_gd.la
ERROR:         /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/lib/graphviz/tcl/libgdtclft.la
ERROR:         /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/lib/tcl8.6/graphviz/libgdtclft.la
ERROR:         /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/man/man3/gdtclft.3tcl
ERROR:         /d0/build/pkgsrc/graphics/graphviz/work/.destdir/usr/pkg/share/graphviz/doc/pdf/gdtclft.3tcl.pdf
*** Error code 1

Stop.
make[1]: stopped in /d0/nbsd/pkgsrc/graphics/graphviz
*** Error code 1

Stop.
make: stopped in /d0/nbsd/pkgsrc/graphics/graphviz



Earlier, during the build phase, there are several notifications of
the form:

[...]
*** Warning: linker path does not have real file for library -ltclstub86.
*** I have the capability to make that library automatically link in when
*** you link to this library.  But I can only do this if you have a
*** shared version of the library, which you do not appear to have
*** because I did check the linker path looking for a file starting
*** with libtclstub86 and none of the candidates passed a file format test
*** using a regex pattern. Last file checked: /d0/build/pkgsrc/graphics/graphviz/work/.x11-buildlink/lib/libtclstub86.a

*** Warning: libtool could not satisfy all declared inter-library
*** dependencies of module libgv_tcl.  Therefore, libtool will create
*** a static module, that should work as long as the dlopening
*** application is linked with the -dlopen flag.
[...]


For some reason, "lang/vala" now depends on "graphics/graphviz",
so one cannot install or update "lang/vala" until "graphviz"
is successfully installed.
>How-To-Repeat:
Attempt to build "graphics/graphviz" or a package which depends on it
(such as "lang/vala").
>Fix:

>Release-Note:

>Audit-Trail:
From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855: graphics/graphviz fails packaging
Date: Sun, 24 Dec 2017 22:33:26 -0600 (CST)

 I'm not sure what happened, but "graphics/graphviz" just now built
 and installed/updated successfully.

 Running 'pkg_rolling-replace -u' updated "chat/telepathy-glib" which built
 "lang/vala" which, in turn, built "graphics/graphviz".

 Perhaps there was some other dependency of graphviz that needed updating
 and after excluding "vala" and updating a bunch of other packages, that
 dependency was updated and now "graphviz" built?

 Will have to see how it goes on other systems.

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

State-Changed-From-To: open->closed
State-Changed-By: bsiegert@NetBSD.org
State-Changed-When: Wed, 27 Dec 2017 19:15:40 +0000
State-Changed-Why:
Submitter says it is probably a local problem.


From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Wed, 27 Dec 2017 22:53:50 -0600 (CST)

 On Wed, 27 Dec 2017, bsiegert@NetBSD.org wrote:

 > State-Changed-From-To: open->closed
 > State-Changed-By: bsiegert@NetBSD.org
 > State-Changed-When: Wed, 27 Dec 2017 19:15:40 +0000
 > State-Changed-Why:
 > Submitter says it is probably a local problem.

 I've just observed it again on an amd64-8.99.9 system.  It seems to be
 an issue with graphviz's claimed dependencies not matching reality.
 Otherwise, it should have tried to build the new version of whatever
 dependency was insufficient (which would have failed when installation
 found the old version already installed).

 When running 'pkg_rolling-replace', the requisite dependencies for
 "graphviz" are not yet updated when it tries to update "vala" (which
 then tries to install "graphviz").

 Excluding "vala", "telepathy-glib", and "abiword-plugins" from being
 updated in an early run of 'pkg_rolling-replace' ultimately updates
 "graphviz"'s dependencies and it can be installed when updating "vala"
 on a later run of 'pkg_rolling-replace'.

 This likely wouldn't show up in bulk builds as the dependencies are already
 up-to-date.

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Wed, 27 Dec 2017 23:33:48 -0600 (CST)

 On Wed, 27 Dec 2017, John D. Baker wrote:

 > I've just observed it again on an amd64-8.99.9 system.  It seems to be
 > an issue with graphviz's claimed dependencies not matching reality.

   $ pkg_info -n graphviz
   Information for graphviz-2.40.1nb9:

   Requires:
   gd>=2.2.4nb1
   gtk2+>=2.24.31nb2
   pango>=1.40.3nb2
   cairo>=1.14.2nb1
   lua52>=5.2.0<5.3
   tk>=8.6.1
   perl>=5.26.0<5.28.0
   libltdl>=2.4.2
   gts>=0.7.6


 On the system that eventually succeeded:

   $ pkg_info -N graphviz 
   Information for graphviz-2.40.1nb9:

   Built using:
   gd-2.2.5
   gtk2+-2.24.31nb6
   pango-1.40.14
   cairo-1.14.10nb1
   lua52-5.2.4nb1
   tk-8.6.7
   perl-5.26.1nb1
   libltdl-2.4.6
   gts-0.7.6
   digest-20160304
   x11-links-1.06
   swig-1.3.38nb1
   cwrappers-20171108


 On the system where the latest failure was observed:

   $ for p in gd gtk2+ pango cairo lua52 tk perl libltdl gts digest x11-links swig cwrappers ; do pkg_info -e $p ; done

   gd-2.2.5
   gtk2+-2.24.31nb4
   pango-1.40.8
   cairo-1.14.10nb1
   lua52-5.2.4nb1
   tk-8.6.7
   perl-5.26.1nb1
   libltdl-2.4.6
   gts-0.7.6
   digest-20160304
   x11-links-1.06
   swig-1.3.38nb1
   cwrappers-20171108


 At the time building "graphviz" was attempted, only "gtk2+" and "pango"
 had not yet been updated.  While those versions should have been sufficient,
 either they, or some other condition was not satisfactory.

 A run of 'pkg_rolling-replace' with "vala", "telepathy-glib" and
 "abiword-plugins" excluded is now under way.

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Thu, 28 Dec 2017 00:09:37 -0600 (CST)

 On Wed, 27 Dec 2017, John D. Baker wrote:

 > At the time building "graphviz" was attempted, only "gtk2+" and "pango"
 > had not yet been updated.  While those versions should have been sufficient,
 > either they, or some other condition was not satisfactory.

 Looking at Tool and Build dependencies appears to indicate that all of
 those were up-to-date at the time of the "graphviz" build attempt.

 The only other thing I can think of is that the operation of 'pkg_rr'
 caused something to get out of sync by the time it selected "vala" for
 replacement which ultimately corrected itself when "vala" was excluded
 upon re-running 'pkg_rr'.

 We'll see how it goes when 'pkg_rr' is run again without the exclusions.

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Thu, 28 Dec 2017 08:25:16 -0600 (CST)

 For completeness, the failure has again been observed on i386-8.0_BETA.
 Same state of graphviz dependencies as noted previously on amd64-current.

 Beginning 'pkg_rr' with the aforementioned exclusions...

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Thu, 28 Dec 2017 12:26:03 -0600 (CST)

 As an additional datapoint, "graphics/graphviz" successfully built,
 packaged and installed on an i386-7.1_STABLE system without needing any
 special exclusions in 'pkg_rr'.

 This particular system is using X11_TYPE=modular and does not include
 "graphics/inkscape".

 The amd64 systems were using native Xorg and also included inkscape (as
 that will figure into 'pkg_rr's selection logic).

 $ pkg_info -N graphviz
 Information for graphviz-2.40.1nb9:

 Built using:
 gd-2.2.5
 fontconfig-2.12.6
 gtk2+-2.24.31nb4
 pango-1.40.8
 cairo-1.14.10
 libXaw-1.0.13
 lua52-5.2.4nb1
 tk-8.6.7
 perl-5.26.1nb1
 libltdl-2.4.6
 gts-0.7.6
 digest-20160304
 renderproto-0.11.1
 kbproto-1.0.7
 xproto-7.0.31
 xcb-proto-1.12
 dri2proto-2.8
 dri3proto-1.0
 presentproto-1.1
 glproto-1.4.17
 damageproto-1.2.1
 fixesproto-5.0
 xextproto-7.3.0
 inputproto-2.3.2
 xf86vidmodeproto-2.3.1
 xf86driproto-2.1.1nb1
 randrproto-1.5.0
 xineramaproto-1.2.1
 compositeproto-0.4.2
 swig-1.3.38nb1
 cwrappers-20171108

 Of note is that "pango" and "gtk2+" are still at their pkgsrc-2017Q3
 versions, just like the amd64 systems that failed.

 It will be interesting to see what happens on i386-7.1_STABLE with native
 Xorg.  That will have to wait until the update using modular Xorg is
 finished.

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Fri, 29 Dec 2017 17:03:40 -0600 (CST)

 On Thu, 28 Dec 2017, John D. Baker wrote:

 > We'll see how it goes when 'pkg_rr' is run again without the exclusions.

 Previously, the configure phase claimed that one or more sub-modules of
 graphviz should NOT be built and thus packaging complained because the
 files that(those) sub-module(s) contributed were not present.

 Now that 'pkg_rr' has gone all the way through with the exclusions, the
 subsequent attempt to build "graphviz" now finds that(those) sub-module(s)
 IS(ARE) to be built and packaging and installation succeeds.

 As I recall it was the "gdtclft" sub-module that was erroneously
 omitted in the initial attempt.  It is now included.

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

From: "John D. Baker" <jdbaker@mylinuxisp.com>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Thu, 4 Jan 2018 17:50:50 -0600 (CST)

 On Thu, 28 Dec 2017, John D. Baker wrote:

 > It will be interesting to see what happens on i386-7.1_STABLE with native
 > Xorg.  That will have to wait until the update using modular Xorg is
 > finished.

 As a final data point, building "graphviz" on i386-7.1_STABLE with native
 Xorg fails in the same way as on {i386,amd64}-8.0_BETA and amd64-current
 (all of which also used their native Xorg) when using 'pkg_rolling-replace'
 without exluding "vala", "telepathy-glib", and "abiword-plugins".

 -- 
 |/"\ John D. Baker, KN5UKS               NetBSD     Darwin/MacOS X
 |\ / jdbaker[snail]mylinuxisp[flyspeck]com    OpenBSD            FreeBSD
 | X  No HTML/proprietary data in email.   BSD just sits there and works!
 |/ \ GPGkeyID:  D703 4A7E 479F 63F8 D3F4  BD99 9572 8F23 E4AD 1645

State-Changed-From-To: closed->open
State-Changed-By: dholland@NetBSD.org
State-Changed-When: Tue, 20 Feb 2018 09:40:38 +0000
State-Changed-Why:
looks like there's a real problem in here somewhere...


From: David Holland <dholland-pbugs@netbsd.org>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/52855 (graphics/graphviz fails packaging)
Date: Tue, 20 Feb 2018 09:51:03 +0000

 On Fri, Dec 29, 2017 at 11:05:00PM +0000, John D. Baker wrote:
  >  As I recall it was the "gdtclft" sub-module that was erroneously
  >  omitted in the initial attempt.  It is now included.

 If that happens again, check what the configure script prints:

 	echo "  gdtclft:       $use_gdtclft"

 where $use_gdtclft can take on these values:

 	"No (tcl not available)"
 	"No (gd not available)"
 	"Yes"

 and then looking at why it doesn't think one or the other of tcl and
 gd is available might be illuminating.

 -- 
 David A. Holland
 dholland@netbsd.org

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.43 2018/01/16 07:36:43 maya Exp $
$NetBSD: gnats_config.sh,v 1.9 2014/08/02 14:16:04 spz Exp $
Copyright © 1994-2017 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.